from django.db import models

class Audit(models.Model):
    id = models.IntegerField(primary_key=True)
    created_at = models.DateTimeField()
    updated_at = models.DateTimeField(blank=True, null=True)
    updated_by = models.IntegerField()
    processed_date = models.DateTimeField(blank=True, null=True)
    make = models.CharField()
    model = models.CharField()
    model_number = models.CharField()
    memory_size = models.CharField()
    unique_id = models.CharField()
    imei = models.CharField()
    meid = models.CharField()
    serial_number = models.CharField()
    grade = models.CharField()
    three_tier_grade = models.CharField()
    five_tier_grade = models.CharField()
    condition_notes = models.CharField()
    fmi = models.CharField()
    value = models.DecimalField(max_digits=65535, decimal_places=65535)
    battery_ratio = models.CharField()
    date_paid = models.DateTimeField(blank=True, null=True)
    iccid = models.CharField()
    audio_jack = models.CharField()
    back_camera = models.CharField()
    front_camera = models.CharField()
    wifi = models.CharField()
    keyboard = models.CharField()
    touchpad = models.CharField()
    ext_ports = models.CharField()
    speakers = models.CharField()
    microphone = models.CharField()
    pressure_spots = models.CharField()
    digitizer = models.CharField()
    lcd = models.CharField()
    water_damage = models.CharField()
    accelerometer = models.CharField()
    homebutton = models.CharField()
    glass_grade = models.CharField()
    lcd_grade = models.CharField()
    inactive = models.CharField()
    backhousing_frame_grade = models.CharField()
    cosmetic_test = models.CharField()
    device_status = models.TextField()  # This field type is a guess.
    display_grade = models.CharField()
    engraved = models.CharField()
    functional_test = models.CharField()
    housing_grade = models.CharField()
    keyboard_grade = models.CharField()
    lock_status = models.CharField()
    reference1 = models.CharField()
    reference2 = models.CharField()
    reference3 = models.CharField()
    reference4 = models.CharField()
    reference5 = models.CharField()
    locked = models.BooleanField()
    corner_description = models.CharField()
    housing_description = models.CharField()
    lcd_description = models.CharField()
    glass_description = models.CharField()
    device_type = models.ForeignKey('DeviceType', models.DO_NOTHING)
    po = models.CharField()
    battery = models.CharField()
    charging_port = models.CharField()
    device_type_0 = models.CharField(db_column='device_type')  # Field renamed because of name conflict.
    tracking_number = models.CharField()
    approved = models.BooleanField()
    tracked_box = models.ForeignKey('TrackedBox', models.DO_NOTHING)
    tracking = models.ForeignKey('Tracking', models.DO_NOTHING)
    program = models.ForeignKey('Program', models.DO_NOTHING)
    request = models.ForeignKey('Request', models.DO_NOTHING)
    image_list = models.TextField()  # This field type is a guess.
    images = models.TextField()  # This field type is a guess.

    class Meta:
        managed = False
        db_table = 'audit'
